:root {
    --pink: #7d43e8;
 }
 
 * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
    outline: none;
    border: none;
    text-transform: capitalize;
    transition: .2s linear;
 }
 
 html {
    font-size: 50.5%;
    scroll-behavior: smooth;
    scroll-padding-top: 6rem;
    overflow-x: hidden;
    height: 100%;
 }
 
 body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
 }
 
 header {
    padding: 0rem 5%;
    justify-content: space-between;
 }
 
 .logo img {
    width: 150px;
 }
 
 .navbar {
    display: flex;
    justify-content: center;
    margin-top: 10px;
 }
 
 .navbar a {
    color: rgb(185, 107, 230);
    text-decoration: none;
    padding: 10px 20px;
    font-size: 24px;   
    transition: background-color 0.3s, color 0.3s;
  }

.navbar a:hover{

  text-shadow: 2px 2px 5px rgba(78, 75, 75, 0.7);
}
  
 .logo img {
    width: 135px;
 }
 
 .header h1 {
    color: rgb(126, 83, 139);
 }
 
 .products h1 {
    font-size: 30px;
    color: #a06cbe;
    font-weight: bold;
    text-decoration: none;
    margin-left: 40%;
    padding: 15px;
    display: absolute;
 }
 
 .products .box-container {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
 }
 
 .products .box-container .box {
    flex: 1 1 30rem;
    box-shadow: 0 .5rem 1.5rem rgba(7, 0, 0, 0.1);
    border-radius: .5rem;
    border: .1rem solid rgba(7, 0, 0, 0.1);
    position: relative;
 }
 
 .products .box-container .box .discount {
    position: absolute;
    top: 1rem;
    left: 1rem;
    padding: .7rem 1rem;
    font-size: 2rem;
    color: var(--pink);
    background: rgba(233, 226, 225, 0.952);
    z-index: 1;
    border-radius: .5rem;
 }
 
 .products .box-container .box .image {
    position: relative;
    text-align: center;
    padding-top: 2rem;
    overflow: hidden;
 }
 
 .products .box-container .box .image img {
    height: 25rem;
    width: 400px;
 }
 
 .products .box-container .box:hover .image img {
    transform: scale(1.1);
 }
 
 .products .box-container .box .image .icons {
    position: absolute;
    bottom: -7rem;
    left: 0;
    right: 0;
    display: flex;
 }
 
 .products .box-container .box:hover .image .icons {
    bottom: 0;
 }
 
 .products .box-container .box .image .icons a {
    height: 5rem;
    line-height: 5rem;
    font-size: 2rem;
    width: 50%;
    background: var(--pink);
    color: #f7eeee;
 }
 
 .products .box-container .box .image .icons .cart-btn {
    border-left: .1rem solid rgba(11, 1, 17, 0.467);
    border-right: .1rem solid rgba(3, 0, 5, 0.267);
    width: 100%;
 }
 
 .products .box-container .box .image .icons a:hover {
    background: #333;
 }
 
 .products .box-container .box .content {
    padding: 2rem;
    text-align: center;
 }
 
 .products .box-container .box .content h3 {
    font-size: 2.5rem;
    color: #0c0c0c;
 }
 
 .products .box-container .box .content .price {
    font-size: 2.5rem;
    color: var(--pink);
    font-weight: bolder;
    padding-top: 1rem;
 }
 
 .products .box-container .box .content .price span {
    font-size: 1.5rem;
    color: #0e0d0d;
    font-weight: lighter;
    text-decoration: line-through;
 }
 
 
 .footer {
    background: #dda6a6;
    padding: 10px 0;
    overflow: hidden;
    border: none;
    margin-top: auto;
    margin-bottom: -30px;
 }
 
 .contenedor-footer {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: auto;
    padding-bottom: 5px;
    border-bottom: 1px solid #e6d5d7;
 }
 
 .content-foo {
    text-align: center;
    margin-right: 30px;
 }
 
 .content-foo:last-child {
    margin-right: 0;
 }
 
 .content-foo p {
    color: #1d0e0e;
 }
 
 .content-foo img {
    width: 42px;
    height: 42px;
    margin-top: 10px;
 }
 
 .mensaje-reservado {
    text-align: center;
    color: #1d0e0e;
    width: 100%;
    margin-top: 15px;
    font-weight: bold;
    font-size: 18px;
 }
 
 .footer::after {
    content: "";
    display: table;
    clear: both;
 }
 
.content-boton{
   display: flex;
    justify-content: center;
    text-align: center;
    padding-top: 20px;
}

.btn-whatsapp{
   text-decoration: none;
   text-align: center;
   display: inline-block;
   height: 45px;
   width: 150px;
  line-height: 45px;
  background: #642a73;
  color: #FFF;
  font-size: 1.5rem;
  font-weight: bold;
  border: none;
  border-radius: 3px;
  cursor: pointer;
  transition: .1s ease all;
  
}
 
 /* Media query para pantallas de hasta 1200px */
 @media only screen and (max-width: 1200px) {
    header {
        padding: 0rem 3%;
    }
 
    .logo img {
        width: 120px;
    }
 
    .navbar a {
        padding: 10px 15px;
    }
 
    .products .box-container .box .image img {
        width: 300px;
        height: auto;
    }
 }
 
 /* Media query para pantallas de hasta 1024px */
 @media only screen and (max-width: 1024px) {
    header {
        padding: 0rem 3%;
    }
 
    .logo img {
        width: 130px;
    }
 
    .navbar a {
        padding: 10px 17px;
    }
 
    .products .box-container .box .image img {
        width: 280px;
        height: auto;
    }
    
 
 }
 
 
 /* Media query para pantallas de hasta 768px */
 @media only screen and (max-width: 768px) {
    header {
        padding: 0rem 2%;
    }
 
    .products .heading {
       align-items: center;
    }
 
    .logo {
       display: flex;
       justify-content: center;
    }
 
    .logo img {
        width: 120px;
    }
 
    .navbar {
        flex-direction: column;
        align-items: center;
    }
 
    .navbar a {
        margin-top: 10px;
        padding: 10px 15px;
    }
 
    .products .box-container {
        flex-direction: column;
        align-items: center;
    }
 
    .products .box-container .box {
        width: 90%;
        margin-bottom: 1rem;
    }
 
    .products .box-container .box .image img {
        width: 250px;
        height: auto;
    }
 }
 
 /* Media query para pantallas de hasta 480px */
 @media only screen and (max-width: 480px) {
    header {
        padding: 0rem 2%;
    }
 
    .heading {
       text-align: center;
     }
 
    .logo {
       display: flex;
       justify-content: center;
    }
 
    .logo img {
        width: 100px;
        align-items: center;
    }
 
    .navbar {
        flex-direction: column;
    }
 
    .navbar a {
        margin-top: 10px;
    }
 
    .products .box-container {
        flex-direction: column;
        align-items: center;
    }
 
    .products .box-container .box {
        width: 95%;
        margin-bottom: 1rem;
    }
 
    .products .box-container .box .image img {
        width: 200px;
        height: auto;
    }
 
    .contenedor-footer {
        flex-direction: column;
        align-items: center;
    }
 
    .content-foo {
        margin-right: 0;
        margin-bottom: 10px;
    }
 }
 
 /* Media query para pantallas de hasta 320px */
 @media only screen and (max-width: 320px) {
    header {
        padding: 0rem 1%;
    }
 
    .products{
       align-items: center;
    }
 
    .logo {
       display: flex;
       justify-content: center;
    }
 
    .logo img {
        width: 100px;
    }
 
    .navbar a {
        padding: 8px 12px;
    }
 
    .products .box-container {
        flex-direction: column;
        align-items: center;
    }
 
    .products .box-container .box {
       width: 100%;
       margin-bottom: 1rem;
   }
 
   .products .box-container .box .image img {
       width: 150px;
       height: auto;
   }
 
   .contenedor-footer {
       flex-direction: column;
       align-items: center;
   }
 
   .content-foo {
       margin-right: 0;
       margin-bottom: 10px;
   }
 }
 